package com.hw.mes.domain;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.TreeEntity;

/**
 * 物料BOM信息对象 mes_material_bom
 *
 * @author Yinq
 * @date 2024-01-30
 */
public class MesMaterialBom extends TreeEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long materialBomId;

    /**
     * 物料ID
     */
    @Excel(name = "物料ID")
    private Long materialId;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String materialName;

    /**
     * BOM说明
     */
    @Excel(name = "BOM说明")
    private String materialBomDesc;

    /**
     * 标准数量
     */
    @Excel(name = "标准数量")
    private BigDecimal standardAmount;

    /**
     * 顶级标识
     */
    @Excel(name = "顶级标识")
    private Long topFlag;

    /**
     * 校验类型
     */
    @Excel(name = "校验类型")
    private String checkType;

    /**
     * 项目ID
     */
    @Excel(name = "项目ID")
    private Long projectId;

    /**
     * 激活标识
     */
    @Excel(name = "激活标识")
    private String activeFlag;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    private String materialCode;

    /**
     * 物料名称&描述
     */
    private String materialNameDesc;

    /**
     * 安装时长
     */
    @Excel(name = "安装时长")
    private Long assembleTime;

    public Long getAssembleTime() {
        return assembleTime;
    }

    public void setAssembleTime(Long assembleTime) {
        this.assembleTime = assembleTime;
    }

    public String getMaterialNameDesc() {
        return materialNameDesc;
    }

    public void setMaterialNameDesc(String materialNameDesc) {
        this.materialNameDesc = materialNameDesc;
    }

    public String getMaterialBomDesc() {
        return materialBomDesc;
    }

    public void setMaterialBomDesc(String materialBomDesc) {
        this.materialBomDesc = materialBomDesc;
    }

    public void setMaterialBomId(Long materialBomId) {
        this.materialBomId = materialBomId;
    }

    public Long getMaterialBomId() {
        return materialBomId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setStandardAmount(BigDecimal standardAmount) {
        this.standardAmount = standardAmount;
    }

    public BigDecimal getStandardAmount() {
        return standardAmount;
    }

    public void setTopFlag(Long topFlag) {
        this.topFlag = topFlag;
    }

    public Long getTopFlag() {
        return topFlag;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setActiveFlag(String activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getActiveFlag() {
        return activeFlag;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("materialBomId", getMaterialBomId())
                .append("parentId", getParentId())
                .append("ancestors", getAncestors())
                .append("materialId", getMaterialId())
                .append("materialName", getMaterialName())
                .append("standardAmount", getStandardAmount())
                .append("topFlag", getTopFlag())
                .append("checkType", getCheckType())
                .append("projectId", getProjectId())
                .append("activeFlag", getActiveFlag())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
